=== debian/changelog ===
magit (4.3.8-2) unstable; urgency=medium

  * Ship missing magit-dired.el in elpa-magit (Closes: #1120049)

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 07 Nov 2025 18:01:28 -0800

magit (4.3.8-1) unstable; urgency=medium

  * Use default elpa test rules and set LC_ALL to C.UTF-8
  * Add lisp source directory to ert load path
  * Drop all patches now that tests are handled by dh-elpa (Closes:
    #1106033)

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 13 Aug 2025 04:10:33 -0700

magit (4.3.8-1~exp2) experimental; urgency=medium

  * Build-Depends on transient from experimental

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 11 Jul 2025 11:16:34 -0700

magit (4.3.8-1~exp1) experimental; urgency=medium

  * New upstream release
  * Refresh patches for the new version

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 10 Jul 2025 10:51:35 -0700
