## magit 4.4.2

=== debian/changelog ===
magit (4.4.2-1) unstable; urgency=medium

  * New upstream release (Closes: #1119335, #1121003)
  * Update Build-Dependencies
    - Add newly required elpa-cond-let.
    - Require elpa-transient >= 0.10.
    - Drop elpa-compat; provided by Emacs.
  * Migrate d/watch to rfc822-style version 5 format
  * Drop `Rules-Requires-Root: no'
    - This has been the default since dpkg 1.22.13.

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 04 Dec 2025 17:48:29 -0800
