=== debian/control ===
Source: magit
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders:
 Timo Juhani Lindfors <timo.lindfors@iki.fi>,
 Rémi Vanicat <vanicat@debian.org>,
 Barak A. Pearlmutter <bap@debian.org>,
 Aymeric Agon-Rambosson <aymeric.agon@yandex.com>,
 Xiyue Deng <manphiz@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-elpa (>= 2.1.2),
 elpa-cond-let,
 elpa-llama,
 elpa-transient (>= 0.10),
 elpa-with-editor,
 git,
 texinfo,
 texlive-base,
Standards-Version: 4.7.2
Homepage: https://magit.vc/
Vcs-Browser: https://salsa.debian.org/emacsen-team/magit
Vcs-Git: https://salsa.debian.org/emacsen-team/magit.git
Testsuite: autopkgtest-pkg-elpa

Package: elpa-magit
Architecture: all
Provides:
 elpa-git-commit,
 magit,
Replaces:
 elpa-git-commit (<< 4.1.2-2~),
 magit (<< 2.2.2-3),
Breaks:
 elpa-git-commit (<< 4.1.2-2~),
 magit (<< 2.2.2-3),
Depends:
 emacs (>= 1:30.1),
 git,
 ${elpa:Depends},
 ${misc:Depends},
Enhances:
 emacs,
 git,
Description: Emacs interface for Git
 With Magit, you can inspect and modify your Git repositories with
 Emacs.  You can review and commit the changes you have made to the
 tracked files, for example, and you can browse the history of past
 changes.  There is support for cherry picking, reverting, merging,
 rebasing, and other common Git operations.

Package: elpa-git-commit
Architecture: all
Section: oldlibs
Depends:
 elpa-magit (>= 4.1.2-2~),
 ${elpa:Depends},
 ${misc:Depends},
Enhances:
 emacs,
 git,
Description: Transitional package for git-commit
 A mode for editing COMMIT_MSG file from git in Emacs.  This has
 become part of elpa-magit since version 4.1.0.

Package: elpa-magit-section
Architecture: all
Depends:
 ${elpa:Depends},
 ${misc:Depends},
Enhances:
 emacs,
Description: Collapsible sections like in Magit
 This package implements the main user interface of Magit — the
 collapsible sections that make up its buffers.  This package used
 to be distributed as part of Magit but now it can also be used by
 other packages that have nothing to do with Magit or Git.
