## magit 4.5.0

=== Makefile ===
--- 
+++ 
@@ -19,53 +19,53 @@
 	$(info Build)
 	$(info =====)
 	$(info )
-	$(info make [all]            - compile elisp and documentation)
-	$(info make lisp             - compile elisp)
-	$(info make redo             - re-compile elisp)
-	$(info make docs             - generate all manual formats)
-	$(info make redo-docs        - re-generate all manual formats)
-	$(info make texi             - generate texi manuals)
-	$(info make info             - generate info manuals)
-	$(info make html             - generate html manual files)
-	$(info make html-dir         - generate html manual directories)
-	$(info make pdf              - generate pdf manuals)
-	$(info make epub             - generate epub manuals)
+	$(info make [all]            -- Compile elisp and documentation)
+	$(info make lisp             -- Compile elisp)
+	$(info make redo             -- Re-compile elisp)
+	$(info make docs             -- Generate all manual formats)
+	$(info make redo-docs        -- Re-generate all manual formats)
+	$(info make texi             -- Generate texi manuals)
+	$(info make info             -- Generate info manuals)
+	$(info make html             -- Generate html manual files)
+	$(info make html-dir         -- Generate html manual directories)
+	$(info make pdf              -- Generate pdf manuals)
+	$(info make epub             -- Generate epub manuals)
 	$(info )
 	$(info Install)
 	$(info =======)
 	$(info )
-	$(info make install          - install elisp and documentation)
-	$(info make install-lisp     - install elisp)
-	$(info make install-docs     - install all documentation)
-	$(info make install-info     - install info manuals only)
+	$(info make install          -- Install elisp and documentation)
+	$(info make install-lisp     -- Install elisp)
+	$(info make install-docs     -- Install all documentation)
+	$(info make install-info     -- Install info manuals only)
 	$(info )
 	$(info Clean)
 	$(info ====)
 	$(info )
-	$(info make clean            - clean elisp, documentation and tarball)
-	$(info make clean-lisp       - clean elisp)
-	$(info make clean-docs       - clean docs)
-	$(info make clean-archives   - clean release tarball)
-	$(info make clean-all        - clean everything except tracked texi)
-	$(info make clean-stats      - clean stats)
+	$(info make clean            -- Clean elisp, documentation and tarball)
+	$(info make clean-lisp       -- Clean elisp)
+	$(info make clean-docs       -- Clean docs)
+	$(info make clean-archives   -- Clean release tarball)
+	$(info make clean-all        -- Clean everything except tracked texi)
+	$(info make clean-stats      -- Clean stats)
 	$(info )
 	$(info Test)
 	$(info ====)
 	$(info )
-	$(info make test             - run tests)
-	$(info make test-interactive - run tests interactively)
-	$(info make emacs-Q          - run emacs -Q plus Magit)
-	$(info make check-declare    - check function declarations)
+	$(info make test             -- Run tests)
+	$(info make test-interactive -- Run tests interactively)
+	$(info make emacs-Q          -- Run emacs -Q plus Magit)
+	$(info make check-declare    -- Check function declarations)
 	$(info )
 	$(info Release Management)
 	$(info ==================)
 	$(info )
-	$(info make authors          - regenerate AUTHORS.md)
-	$(info make publish          - publish snapshot manuals)
-	$(info make release          - publish release manuals)
-	$(info make dist             - create tarballs)
-	$(info make stats            - regenerate statistics)
-	$(info make stats-upload     - publish statistics)
+	$(info make authors          -- Regenerate AUTHORS.md)
+	$(info make publish          -- Publish snapshot manuals)
+	$(info make release          -- Publish release manuals)
+	$(info make dist             -- Create tarballs)
+	$(info make stats            -- Regenerate statistics)
+	$(info make stats-upload     -- Publish statistics)
 	@printf "\n"
 
 ## Build #############################################################
@@ -115,16 +115,17 @@
 
 ## Test ##############################################################
 
-test:
+test: lisp
 	@$(MAKE) -C test test
 
 test-interactive:
 	@$(MAKE) -C test test-interactive
 
 emacs-Q: clean-lisp
-	@$(EMACS) -Q $(LOAD_PATH) --debug-init --eval "(progn\
+	@$(MAKE) -C lisp autoloads
+	@$(EMACS_INTR) --debug-init --eval "(progn\
 	(setq debug-on-error t)\
-	(require 'magit)\
+	(require 'magit-autoloads)\
 	(global-set-key \"\\C-xg\" 'magit-status))"
 
 check-declare:
@@ -132,13 +133,16 @@
 
 ## Clean #############################################################
 
-clean: clean-lisp clean-docs clean-archives
+clean: clean-lisp clean-docs clean-test clean-archives
 
 clean-lisp:
 	@$(MAKE) -C lisp clean
 
 clean-docs:
 	@$(MAKE) -C docs clean
+
+clean-test:
+	@$(MAKE) -C test clean
 
 clean-archives:
 	@$(RM) *.tar.gz *.tar lisp/magit-version.el
