=== debian/changelog ===
magit (4.5.0-1) unstable; urgency=medium

  * New upstream release
  * Update d/gbp.conf to use pristine-tar + upstream history workflow
    - The repo actually has both upstream and pristine-tar branches.  It
      is better to keep using them for now.
  * Add d/README.source to document the current workflow
  * Update Standards-Version to 4.7.3; no change needed
  * Drop `Priority: optional'; now default
  * Stop building html docs
    - It contains links to fetch external js and css files which are
      considered a potential privacy breach.

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 06 Jan 2026 18:38:33 -0800
