=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: magit
 Section: editors
-Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders:
  Timo Juhani Lindfors <timo.lindfors@iki.fi>,
@@ -18,7 +17,7 @@
  git,
  texinfo,
  texlive-base,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://magit.vc/
 Vcs-Browser: https://salsa.debian.org/emacsen-team/magit
 Vcs-Git: https://salsa.debian.org/emacsen-team/magit.git
