=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo "Targets info and pdf all build texi, so serialize to avoid a race condition."
	$(MAKE) texi
	$(MAKE) info pdf

override_dh_auto_install:
	@echo do not run make install

override_dh_elpa_test:
	LC_ALL=C.UTF-8 dh_elpa_test
